
QGIS Application - Bug report #16803

Segmentation fault with 'Create raster icons' on and loading a WMS

2017-07-06 03:42 PM - Pedro Venâncio

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.18.11 Regression?: Yes

Operating System: Linux, Windows Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 24702

Description

I'm getting a Segmentation fault, both on Windows (OSGeo4W and Standalone) and Linux (from QGIS repository and self compiled),

when I put the "Create raster icons (may be slow)" option on, and then try to load a WMS layer.

To replicate:

1) Settings -> Options... -> Canvas & Legend -> "Create raster icons (may be slow)" on;

2) Load a WMS layer; (most of the times, QGIS crashes here)

3) Load any other layer. (If not before, QGIS crashes here)

Confirmed on QGIS 2.18.0, 2.18.4, 2.18.9 and 2.18.10.

Output of debug mode:

Thread 1 "qgis.bin" received signal SIGSEGV, Segmentation fault.

0x00007fffefd37018 in ?? () from /usr/lib/x86_64-linux-gnu/libQtNetwork.so.4

(gdb) where

#0  0x00007fffefd37018 in ?? ()

   from /usr/lib/x86_64-linux-gnu/libQtNetwork.so.4

#1  0x00007fffefd382be in ?? ()

   from /usr/lib/x86_64-linux-gnu/libQtNetwork.so.4

#2  0x00007fffefd25a36 in ?? ()

   from /usr/lib/x86_64-linux-gnu/libQtNetwork.so.4

#3  0x00007fffefdb4b3a in ?? ()

   from /usr/lib/x86_64-linux-gnu/libQtNetwork.so.4

#4  0x00007ffff5a58db1 in QObject::event(QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#5  0x00007ffff4d84fdc in QApplicationPrivate::notify_helper(QObject*, QEvent*)

    () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#6  0x00007ffff4d8bf16 in QApplication::notify(QObject*, QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#7  0x00007ffff60bddcb in QgsApplication::notify (this=0x7fffffffda00, 

    receiver=0x55555d3255c0, event=0x7fffb4006410)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/core/qgsapplication.cpp:281

#8  0x00007ffff5a3e90d in QCoreApplication::notifyInternal(QObject*, QEvent*)

    () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#9  0x00007ffff5a423c6 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4
#10 0x00007ffff5a6f13e in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#11 0x00007fffed796197 in g_main_context_dispatch ()

   from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#12 0x00007fffed7963f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#13 0x00007fffed79649c in g_main_context_iteration ()

   from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#14 0x00007ffff5a6f2ae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#15 0x00007ffff4e32616 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#16 0x00007ffff5a3d18f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#17 0x00007ffff5a3d4f5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#18 0x00007fff595ac283 in QgsWmsImageDownloadHandler::downloadBlocking (

    this=<optimized out>)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/providers/wms/qgswmsprovider.cpp:3571

#19 0x00007fff595c3f6a in QgsWmsProvider::draw (this=0x55555d037340, 

    viewExtent=..., pixelWidth=pixelWidth@entry=32, 

    pixelHeight=pixelHeight@entry=32, feedback=feedback@entry=0x0)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/providers/wms/qgswmsprovider.cpp:634

#20 0x00007fff595c4605 in QgsWmsProvider::readBlock (this=<optimized out>, 

    bandNo=<optimized out>, viewExtent=..., pixelWidth=32, pixelHeight=32, 

    block=0x555556936470, feedback=0x0)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/providers/wms/qgswmsprovider.cpp:878

#21 0x00007ffff64b68b5 in QgsRasterDataProvider::block2 (this=0x55555d037340, 

---Type <return> to continue, or q <return> to quit---

    theBandNo=1, theExtent=..., theWidth=32, theHeight=32, feedback=0x0)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/core/raster/qgsrasterdataprovider.cpp:212

#22 0x00007ffff64ed867 in QgsSingleBandColorDataRenderer::block2 (

    this=0x55555c7f2830, bandNo=<optimized out>, extent=..., width=32, 

    height=32, feedback=0x0)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/core/raster/qgssinglebandcolordatarenderer.cpp:70

#23 0x00007ffff64d7bb9 in QgsBrightnessContrastFilter::block2 (

    this=0x55555d350e90, bandNo=<optimized out>, extent=..., width=32, 

    height=32, feedback=0x0)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/core/raster/qgsbrightnesscontrastfilter.cpp:130

#24 0x00007ffff64da96f in QgsHueSaturationFilter::block2 (this=0x55555d36b300, 

    bandNo=<optimized out>, extent=..., width=32, height=32, feedback=0x0)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/core/raster/qgshuesaturationfilter.cpp:139

#25 0x00007ffff64ed3ba in QgsRasterResampleFilter::block2 (

    this=0x55555d32d000, bandNo=<optimized out>, extent=..., width=32, 

    height=32, feedback=0x0)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/core/raster/qgsrasterresamplefilter.cpp:177

#26 0x00007ffff64d1bc0 in QgsRasterProjector::block2 (this=0x55555ccab210, 

    bandNo=1, extent=..., width=32, height=32, feedback=0x0)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/core/raster/qgsrasterprojector.cpp:852

#27 0x00007ffff64be95e in QgsRasterIterator::readNextRasterPart (

    this=0x7fffffff9ad0, bandNumber=bandNumber@entry=1, 

    nCols=@0x7fffffff9a18: 32, nRows=@0x7fffffff9a1c: 32, 

    block=block@entry=0x7fffffff9a28, topLeftCol=@0x7fffffff9a20: 0, 

    topLeftRow=@0x7fffffff9a24: 0)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/core/raster/qgsrasteriterator.cpp:98

#28 0x00007ffff64e017d in QgsRasterDrawer::draw (
    this=this@entry=0x7fffffff9ac0, p=p@entry=0x555556933000, 

    viewPort=viewPort@entry=0x555556932840, 

    theQgsMapToPixel=theQgsMapToPixel@entry=0x555556932f60, ctx=ctx@entry=0x0, 

    feedback=feedback@entry=0x0)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/core/raster/qgsrasterdrawer.cpp:57

#29 0x00007ffff64bf793 in QgsRasterLayer::draw (

    this=this@entry=0x55555cce0f00, 

    theQPainter=theQPainter@entry=0x555556933000, 

    theRasterViewPort=theRasterViewPort@entry=0x555556932840, 

    theQgsMapToPixel=theQgsMapToPixel@entry=0x555556932f60)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/core/raster/qgsrasterlayer.cpp:303

#30 0x00007ffff64c7c1c in QgsRasterLayer::previewAsImage (

    this=this@entry=0x55555cce0f00, size=..., bgColor=..., 

    format=format@entry=QImage::Format_ARGB32_Premultiplied)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/core/raster/qgsrasterlayer.cpp:1195---Type <return> to continue, or q <return> to

quit---

#31 0x00007ffff60775e0 in QgsLayerTreeModel::data (this=0x555556747880, 

    index=..., role=<optimized out>)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/core/layertree/qgslayertreemodel.cpp:230

#32 0x00007ffff5369406 in QStyledItemDelegate::initStyleOption(QStyleOptionViewItem*, QModelIndex const&) const () from

/usr/lib/x86_64-linux-gnu/libQtGui.so.4

#33 0x00007ffff5368e07 in QStyledItemDelegate::sizeHint(QStyleOptionViewItem const&, QModelIndex const&) const () from

/usr/lib/x86_64-linux-gnu/libQtGui.so.4

#34 0x00007ffff52febaf in QTreeView::indexRowSizeHint(QModelIndex const&) const

    () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#35 0x00007ffff5302191 in QTreeViewPrivate::itemHeight(int) const ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#36 0x00007ffff5303316 in QTreeViewPrivate::updateScrollBars() ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#37 0x00007ffff530cf91 in QTreeView::updateGeometries() ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#38 0x00007ffff52bc7ad in QAbstractItemView::doItemsLayout() ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#39 0x00007ffff530b7f5 in QTreeView::doItemsLayout() ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#40 0x00007ffff5303692 in QTreeView::visualRect(QModelIndex const&) const ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#41 0x00007ffff52fdac6 in QTreeView::visualRegionForSelection(QItemSelection const&) const () from

/usr/lib/x86_64-linux-gnu/libQtGui.so.4

#42 0x00007ffff52bca61 in QAbstractItemView::selectionChanged(QItemSelection const&, QItemSelection const&) () from

/usr/lib/x86_64-linux-gnu/libQtGui.so.4

#43 0x00007ffff530d32a in QTreeView::selectionChanged(QItemSelection const&, QItemSelection const&) () from

/usr/lib/x86_64-linux-gnu/libQtGui.so.4

#44 0x00007ffff5a53010 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#45 0x00007ffff5316167 in QItemSelectionModel::selectionChanged(QItemSelection const&, QItemSelection const&) () from

/usr/lib/x86_64-linux-gnu/libQtGui.so.4

#46 0x00007ffff531b3d5 in QItemSelectionModel::emitSelectionChanged(QItemSelection const&, QItemSelection const&) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#47 0x00007ffff531c181 in QItemSelectionModel::select(QItemSelection const&, QFlags<QItemSelectionModel::SelectionFlag>)

()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#48 0x00007ffff5316da7 in QItemSelectionModel::select(QModelIndex const&, QFlags<QItemSelectionModel::SelectionFlag>) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#49 0x00007ffff5316462 in QItemSelectionModel::setCurrentIndex(QModelIndex const&,

QFlags<QItemSelectionModel::SelectionFlag>) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#50 0x00007ffff52bdc83 in QAbstractItemView::setCurrentIndex(QModelIndex const&) () from

/usr/lib/x86_64-linux-gnu/libQtGui.so.4

#51 0x00007ffff749341e in QgisApp::autoSelectAddedLayer (

    this=this@entry=0x555555f031c0, layers=...)

---Type <return> to continue, or q <return> to quit---

    at /tmp/buildd/qgis-2.18.10+24xenial/src/app/qgisapp.cpp:3190

#52 0x00007ffff78ecc55 in QgisApp::qt_static_metacall (_o=0x555555f031c0, 

    _c=<optimized out>, _id=<optimized out>, _a=0x7fffffffabb0)

    at /tmp/buildd/qgis-2.18.10+24xenial/debian/build/src/app/moc_qgisapp.cxx:663

#53 0x00007ffff5a53010 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#54 0x00007ffff662b1d2 in QgsLayerTreeRegistryBridge::addedLayersToLayerTree (

    this=this@entry=0x5555562d62c0, _t1=...)

    at /tmp/buildd/qgis-2.18.10+24xenial/debian/build/src/core/layertree/moc_qgslayertreeregistrybridge.cxx:116

#55 0x00007ffff607edb0 in QgsLayerTreeRegistryBridge::layersAdded (

    this=0x5555562d62c0, layers=...)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/core/layertree/qgslayertreeregistrybridge.cpp:73

#56 0x00007ffff5a53010 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#57 0x00007ffff661e555 in QgsMapLayerRegistry::legendLayersAdded (

    this=this@entry=0x7ffff69dfa40 <QgsMapLayerRegistry::instance()::sInstance>, _t1=...)

    at /tmp/buildd/qgis-2.18.10+24xenial/debian/build/src/core/moc_qgsmaplayerregistry.cxx:191

#58 0x00007ffff6218956 in QgsMapLayerRegistry::addMapLayers (

    this=0x7ffff69dfa40 <QgsMapLayerRegistry::instance()::sInstance>, 

    theMapLayers=..., addToLegend=addToLegend@entry=true, 

    takeOwnership=takeOwnership@entry=true)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/core/qgsmaplayerregistry.cpp:94

#59 0x00007ffff7495094 in QgisApp::addRasterLayer (

    this=this@entry=0x555555f031c0, 

    theRasterLayer=theRasterLayer@entry=0x55555cce0f00)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/app/qgisapp.cpp:10950

#60 0x00007ffff74b8d7b in QgisApp::addRasterLayerPrivate (this=0x555555f031c0, 

    uri=..., baseName=..., providerKey=..., guiWarning=guiWarning@entry=true, 

    guiUpdate=guiUpdate@entry=true)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/app/qgisapp.cpp:11012

#61 0x00007ffff74b9581 in QgisApp::addRasterLayer (this=<optimized out>, 

    uri=..., baseName=..., providerKey=...)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/app/qgisapp.cpp:11074

#62 0x00007ffff78ec7ff in QgisApp::qt_static_metacall (_o=0x555555f031c0, 

    _c=<optimized out>, _id=<optimized out>, _a=0x7fffffffb1c0)

    at /tmp/buildd/qgis-2.18.10+24xenial/debian/build/src/app/moc_qgisapp.cxx:732

#63 0x00007ffff5a53010 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#64 0x00007fff596049ac in QgsWMSSourceSelect::addRasterLayer (

    this=this@entry=0x555555fc9940, _t1=..., _t2=..., _t3=...)

    at /tmp/buildd/qgis-2.18.10+24xenial/debian/build/src/providers/wms/moc_qgswmssourceselect.cxx:164

#65 0x00007fff595e48a8 in QgsWMSSourceSelect::addClicked (this=0x555555fc9940)

---Type <return> to continue, or q <return> to quit---
    at /tmp/buildd/qgis-2.18.10+24xenial/src/providers/wms/qgswmssourceselect.cpp:575

#66 0x00007fff59604845 in QgsWMSSourceSelect::qt_static_metacall (

    _o=<optimized out>, _id=<optimized out>, _a=<optimized out>, 

    _c=<optimized out>)

    at /tmp/buildd/qgis-2.18.10+24xenial/debian/build/src/providers/wms/moc_qgswmssourceselect.cxx:100

#67 0x00007ffff5a53010 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#68 0x00007ffff5429d12 in QAbstractButton::clicked(bool) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#69 0x00007ffff515f2b3 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#70 0x00007ffff5160664 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#71 0x00007ffff5160774 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#72 0x00007ffff4ddb8d0 in QWidget::event(QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#73 0x00007ffff4d84fdc in QApplicationPrivate::notify_helper(QObject*, QEvent*)

    () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#74 0x00007ffff4d8c0d6 in QApplication::notify(QObject*, QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#75 0x00007ffff60bddcb in QgsApplication::notify (this=0x7fffffffda00, 

    receiver=0x555556816fc0, event=0x7fffffffbc30)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/core/qgsapplication.cpp:281

#76 0x00007ffff5a3e90d in QCoreApplication::notifyInternal(QObject*, QEvent*)

    () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#77 0x00007ffff4d8b6dd in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#78 0x00007ffff4e093f2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#79 0x00007ffff4e08c83 in QApplication::x11ProcessEvent(_XEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#80 0x00007ffff4e32542 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#81 0x00007fffed796197 in g_main_context_dispatch ()

   from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#82 0x00007fffed7963f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#83 0x00007fffed79649c in g_main_context_iteration ()

   from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#84 0x00007ffff5a6f2ae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#85 0x00007ffff4e32616 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#86 0x00007ffff5a3d18f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#87 0x00007ffff5a3d4f5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#88 0x00007ffff5267a3c in QDialog::exec() ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#89 0x00007ffff7486bbf in QgisApp::addWmsLayer (this=0x555555f031c0)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/app/qgisapp.cpp:4268

---Type <return> to continue, or q <return> to quit---

#90 0x00007ffff78ebbf9 in QgisApp::qt_static_metacall (_o=0x555555f031c0, 

    _c=<optimized out>, _id=<optimized out>, _a=0x7fffffffc560)

    at /tmp/buildd/qgis-2.18.10+24xenial/debian/build/src/app/moc_qgisapp.cxx:953

#91 0x00007ffff5a53010 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4
#92 0x00007ffff4d7ed62 in QAction::triggered(bool) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#93 0x00007ffff4d800b3 in QAction::activate(QAction::ActionEvent) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#94 0x00007ffff5160623 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#95 0x00007ffff5160774 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#96 0x00007ffff522673a in QToolButton::mouseReleaseEvent(QMouseEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#97 0x00007ffff4ddb8d0 in QWidget::event(QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#98 0x00007ffff4d84fdc in QApplicationPrivate::notify_helper(QObject*, QEvent*)

    () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#99 0x00007ffff4d8c0d6 in QApplication::notify(QObject*, QEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#100 0x00007ffff60bddcb in QgsApplication::notify (this=0x7fffffffda00, 

    receiver=0x5555566998b0, event=0x7fffffffcb10)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/core/qgsapplication.cpp:281

#101 0x00007ffff5a3e90d in QCoreApplication::notifyInternal(QObject*, QEvent*)

    () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#102 0x00007ffff4d8b6dd in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#103 0x00007ffff4e093f2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#104 0x00007ffff4e08c83 in QApplication::x11ProcessEvent(_XEvent*) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#105 0x00007ffff4e32542 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#106 0x00007fffed796197 in g_main_context_dispatch ()

   from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#107 0x00007fffed7963f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#108 0x00007fffed79649c in g_main_context_iteration ()

   from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#109 0x00007ffff5a6f2ae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#110 0x00007ffff4e32616 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#111 0x00007ffff5a3d18f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#112 0x00007ffff5a3d4f5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#113 0x00007ffff5a434b9 in QCoreApplication::exec() ()

   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#114 0x000055555555aa9b in main (argc=1, argv=<optimized out>)

    at /tmp/buildd/qgis-2.18.10+24xenial/src/app/main.cpp:1287

(gdb) continue

Continuing.

Couldn't get registers: Processo inexistente.

Couldn't get registers: Processo inexistente.

Couldn't get registers: Processo inexistente.

(gdb) [Thread 0x7fff3decd700 (LWP 4818) exited]

[Thread 0x7fff45980700 (LWP 4235) exited]

[Thread 0x7fff4679c700 (LWP 4234) exited]

[Thread 0x7fff6affb700 (LWP 4231) exited]
[Thread 0x7fff6b7fc700 (LWP 4230) exited]

[Thread 0x7fff6bffd700 (LWP 4229) exited]

[Thread 0x7fffc11b0700 (LWP 4228) exited]

[Thread 0x7fffc19b1700 (LWP 4227) exited]

[Thread 0x7fffc21b2700 (LWP 4225) exited]

[Thread 0x7fffc33bb700 (LWP 4223) exited]

[Thread 0x7fffc3fff700 (LWP 4222) exited]

[Thread 0x7fffc969d700 (LWP 4221) exited]

Program terminated with signal SIGSEGV, Segmentation fault.

The program no longer exists.

q

Associated revisions

Revision fde62409 - 2017-10-31 01:45 PM - Matthias Kuhn 

Do not paint WMS preview images. Because it crashes.

Fix #16803

History

#1 - 2017-07-06 03:43 PM - Giovanni Manghi

- Status changed from Open to Feedback

was an issue on 2.14.*?

#2 - 2017-07-06 03:48 PM - Giovanni Manghi

- Regression? changed from No to Yes

Giovanni Manghi wrote:

was an issue on 2.14.*?

I answer myself, no.

#3 - 2017-07-06 04:06 PM - Pedro Venâncio

Giovanni Manghi wrote:

Giovanni Manghi wrote:

was an issue on 2.14.*?

I answer myself, no.
Confirmed here also, not a problem on 2.14.16.

Another symptom is in Layers Pannel. WMS loaded on 2.14.16 appears ok; on 2.18.x it does not appear at all, just the plus button.

#4 - 2017-07-25 07:44 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.10 to 2.18.11

#5 - 2017-07-26 03:50 PM - Giovanni Manghi

- Status changed from Feedback to Open

#6 - 2017-07-27 05:28 AM - Nyall Dawson

Should we just remove this option? It's not on by default, and if it's causing issues I don't think it's worth the hassle for a tiny icon preview.

#7 - 2017-07-27 10:45 AM - Pedro Venâncio

I agree Nyall. If we have not work force to fix this at the moment, the best option is remove it, because the crash is always worst than the miss.

#8 - 2017-10-04 06:19 PM - Matthias Kuhn

Pull request open to disable unsafe use of the WMS API.

https://github.com/qgis/QGIS/pull/5299/files

In the long run (QGIS 3.0) we want the request to be done async and refresh the legend whenever it's ready.

#9 - 2017-10-05 10:49 AM - Luigi Pirelli

- Pull Request or Patch supplied changed from No to Yes

follow up in: https://github.com/qgis/QGIS/pull/5302

#10 - 2017-10-31 01:45 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|fde624099552816f1c5133edc7b3576adf8d2257.
